# CIN Basic Verification

This API authenticates Company, LLP, FCRN, and Foreign LLP Identification Numbers issued by the Ministry of Corporate Affairs (MCA), ensuring secure validation of entity credentials.

### Submit Document

### cin\_basic

`POST` `https://secctrl.tutelar.io/api/v1/kyc/merchant/cin_basic`

#### Post parameters description is given below

| Post Parameter      | Type   | Is Mandatory | Description                                                                    |
| ------------------- | ------ | ------------ | ------------------------------------------------------------------------------ |
| cin\_number         | String | Yes          | Company CIN Number                                                             |
| consent             | String | Yes          | Consent is required to make the API request. Value Must Be "Y"                 |
| active\_complaiance | String | Yes          | If this is true, it will return active compliance details Value Must Be yes/no |

#### Sample Post Parameters

```json
{
  "cin_number": "U72900JK2019PTC010815",
  "consent": "Y",
  "active_compliance": "yes"
}
```

#### Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "60e76d20-a398-4b6e-983f-49927c22d76c",
  "status": "completed",
  "result": {
    "cin_number": "U72900JK2019PTC010815",
    "company_Name": "ZEROTHWARE TECHNOLOGIES PRIVATE LIMITED",
    "roc_code": "ROC Jammu",
    "registration_number": "010815",
    "Company_Category": "Company limited by shares",
    "Company_SubCategory": "Non-government company",
    "Class_of_Company": "Private",
    "authorised_capital": "1000000",
    "paid_up_capital": "100000",
    "number_of_members": "",
    "Date_of_Incorporation": "31/01/2019",
    "alternative_address": null,
    "email_id": "Zerothware@gmail.com",
    "active_compliance": "",
    "suspended_at_stock_exchange": "",
    "date_of_last_agm": "30/09/2025",
    "date_of_balance_sheet": "31/03/2025",
    "company_status": "Active"
  },
  "requested_at": "2026-02-11T06:04:49.161Z",
  "completed_at": "2026-02-11T06:04:57.565Z"
}
```

#### InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "60e76d20-a398-4b6e-983f-49927c22d76c",
  "status": "in_progress",
  "requested_at": "2026-02-11T06:04:49.161Z"
}
```

#### Validation Error Response

```json
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "CIN Number should not be empty",
    "field": "cin_number",
    "code": "BAD_REQUEST"
  }
},
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "consent should not be empty!",
    "field": "consent",
    "code": "BAD_REQUEST"
  }
},
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "consent must be 'Y'",
    "field": "consent",
    "code": "BAD_REQUEST"
  }
},
{
  "success": false,
  "code": 400,
  "message": "Invalid input. Please check your request and try again.",
  "error": {
    "message": "Active Compliance  must be true/false",
    "field": "active_compliance",
    "code": "BAD_REQUEST"
  }
}
```

#### Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2026-02-11T06:04:49.161Z",
  "completed_at": "2026-02-11T06:04:57.565Z"
}
```

### Get details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/merchant/cin_basic`

#### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

#### Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "60e76d20-a398-4b6e-983f-49927c22d76c",
  "status": "completed",
  "result": {
    "cin_number": "U72900JK2019PTC010815",
    "company_Name": "ZEROTHWARE TECHNOLOGIES PRIVATE LIMITED",
    "roc_code": "ROC Jammu",
    "registration_number": "010815",
    "Company_Category": "Company limited by shares",
    "Company_SubCategory": "Non-government company",
    "Class_of_Company": "Private",
    "authorised_capital": "1000000",
    "paid_up_capital": "100000",
    "number_of_members": "",
    "Date_of_Incorporation": "31/01/2019",
    "alternative_address": null,
    "email_id": "Zerothware@gmail.com",
    "active_compliance": "",
    "suspended_at_stock_exchange": "",
    "date_of_last_agm": "30/09/2025",
    "date_of_balance_sheet": "31/03/2025",
    "company_status": "Active"
  },
  "requested_at": "2026-02-11T06:04:49.161Z",
  "completed_at": "2026-02-11T06:04:57.565Z"
}
```

#### InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "60e76d20-a398-4b6e-983f-49927c22d76c",
  "status": "in_progress",
  "requested_at": "2026-02-11T06:04:49.161Z"
}
```

#### Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2026-02-11T06:04:49.161Z",
  "completed_at": "2026-02-11T06:04:57.565Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/cin-basic-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
